Page MenuHomePhabricator

Create an announcement card promoting the new multilingual feature on the Explore feed
Closed, ResolvedPublic

Description

Show an announcement card promoting this new feature in the Explore feed, with a CTA to add more languages.

NB: currently the Announcement cards only allow enabling/disabling based on country codes, so potentially provide language localization for countries with a predominant language

Announcement card details

English versions
VariantEN. Latest app versionEN. Update app prompt
CountriesEnglish speaking territories: us, uk, ie, ca, sa, au, nz, in (per blessing from @Sharvaniharan )
VersionProd and Beta, min_version=235 Prod and Beta, max_version=234
Imagehttps://commons.wikimedia.org/wiki/File:Multilingual_announcement_graphic.pngcolored background only in #FFCC33 or else https://commons.wikimedia.org/wiki/File:Yellow50-pixelbackground.png
Image height168dp16dp
Proposed text<strong>Wikipedia in all the languages you read </strong> <br/>You can now use multiple languages in this latest version of the app! Easily switch between languages during search, and see content in the Explore feed from all your selected languages.<strong>Multilingual reading in our latest app release </strong> <br/>You can now use multiple languages in the latest version of the app. Update and switch between languages during search, and see content in the Explore feed from all your selected languages.
Dismiss CTAGot it (Dismisses card) Got it (Dismisses card)
Positive CTAEdit languages Opens the app language settings screenUpdate in Google Play Opens the app listing in the Play store app for updating
Example mock
Other versions

Please refer to the spreadsheet (sheets 1 *and* 2) for translations:
https://docs.google.com/spreadsheets/d/1frhHLYf3HY3IGhgDA7Myo50W3O6qTm9yt2UslICLYik/edit#gid=0


Time frame for announcement

Date from: Aug 7 (or else ASAP afterwards)
Date to: Aug 14 (or otherwise until 7 days afterwards)

Event Timeline

RHo created this task.Apr 6 2018, 3:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2018, 3:07 PM
RHo renamed this task from Create an announcement card promoting the new feature on the Explore feed to Create an announcement card promoting the new multilingual feature on the Explore feed.Apr 6 2018, 3:07 PM
RHo updated the task description. (Show Details)Jun 4 2018, 3:43 PM
RHo updated the task description. (Show Details)Jun 5 2018, 9:06 PM
RHo updated the task description. (Show Details)Jun 7 2018, 10:05 AM

hi @Charlotte - should we look at getting this in a few other languages?
Suggested:

  • German, for Germany (Austria?, Switzerland?)
  • French, for France (Belgium?, Niger? Senegal? Cameroon? etc)
  • Russian (Russia)
  • Spanish, for Spain (Mexico, Venezuala, Ecuador, Columbia, other Sth American Spanish speaking countries?)
  • Italian, for Italy
  • Chinese Traditional (Taiwan, HK, Macau, Singapore, China)
  • Japanese
  • Korean

+ hi @Sharvaniharan - given that we can only set a Country parameter to show a different annoucement variant, based on your experience, should we consider creating a card to show in India in Hindi, or use the English announcement, or would it be best to go without?

RHo updated the task description. (Show Details)Jun 18 2018, 4:42 PM

Whoever picks this up might consider tackling T195838: Document the announcement endpoint config parameters in passing.

bearND added a subscriber: bearND.Jun 18 2018, 5:21 PM
RHo updated the task description. (Show Details)Jun 18 2018, 5:40 PM

+ hi @Sharvaniharan - given that we can only set a Country parameter to show a different annoucement variant, based on your experience, should we consider creating a card to show in India in Hindi, or use the English announcement, or would it be best to go without?

Hi @RHo, I'm not @Sharvaniharan but as a passerby Indian my suggestion would be to show the announcement in the device language of the user when translations are available for that language, in India. In other cases it would be better to show it in English. Showing the announcement in Hindi for every single user in India wouldn't be a good idea (you could even take me for an example, I know Hindi only a little. I don't think I could manage to understand the announcement if it were in hindi). Of course that's only if you're getting this translated to other languages ;-)

BTW, I find it hard to translate the sentence "You can now set multiple languages in this latest version of the app!", at least, to my locale. In general, I find the word "set" to be one that's hard to translate. How about "You can now use the app in multiple languages!"?

RHo updated the task description. (Show Details)Jul 26 2018, 4:10 PM
RHo updated the task description. (Show Details)

hi @Kaartic – yes @Sharvaniharan also suggested offline that English would be better shown in India than Hindi so thank you for confirming as another Indian community member! :) Also changed verbiage from "set" to "use" per your suggestion.

Friendly for @Dbrant @cooltey and @Charlotte if you may provide ru, zh and fr versions in the spreadsheet please (for sheets 1 and 2)! https://docs.google.com/spreadsheets/d/1frhHLYf3HY3IGhgDA7Myo50W3O6qTm9yt2UslICLYik/edit#gid=0

Updated the German column in the above spreadsheet. FYI, I copied the wording for "Got it" and "Edit languages" from the Android values-de/strings.xml file for consistency. The autotranslation of "Got it" seemed too literal to me.

RHo added a comment.Aug 6 2018, 2:08 PM

hi @Dbrant - can you please provide the RU (for both sheet 1 and 2) and then perhaps we can just push the announcement for EN, DE, RU, and ZH?
Think it is still worthwhile since the install rate for post-multlilingual version is still ~71%

RHo updated the task description. (Show Details)Aug 6 2018, 5:13 PM
RHo updated the task description. (Show Details)Aug 6 2018, 5:34 PM
RHo added a comment.Aug 6 2018, 5:58 PM

Hi @bearND - please create an announcement for EN, DE, RU, and ZH for both the latest app version (sheet 1), and the update app prompt (sheet 2). Thanks!

@RHo when should the announcement start and how long should it last?

RHo added a comment.Aug 6 2018, 6:29 PM

Hi @bearND, ideally Date from: Aug 7 (or else ASAP afterwards)
and Date to: Aug 14 (or otherwise until 7 days afterwards)

Thanks!

I'd say Thursday sounds more realistic. Adding to our Kanban board.

RHo added a comment.Aug 6 2018, 7:37 PM

awesome, danke!

bearND added a comment.EditedAug 7 2018, 5:46 PM

@Dbrant @RHo The text for Chinese is in Traditional Chinese. How do we ensure that this is not displayed for users that selected Simplified Chinese as their primary language? Should we skip the Chinese announcement?

RHo added a comment.Aug 7 2018, 6:07 PM

hi @bearND - I've just updated the spreadsheet with a separate Simplified Chinese column, with China and Singapore being the targeted countries to show that Simplified version.
Also please note that app versions to target in the spreadsheet have also been corrected to reflect the task description – min_version=235 (on Sheet 1) and max_version=234 (Sheet 2)

bearND added a comment.Aug 7 2018, 6:09 PM

@RHo Thanks, but I still don't know how to tell the app which language variant to use for Chinese for which text. I don't think we have encountered this requirement for announcements before.

RHo added a comment.Aug 7 2018, 6:11 PM

hi @bearND – not sure I understand? I was under the impression that announcements show messages based on countries, so if it is detected that the app is for example in Singapore, we would should the Simplified Chinese text that I've pasted into that column...

bearND added a comment.Aug 7 2018, 6:25 PM

@RHo Sorry, I had not noticed that you changed the countries for Chinese. With the update that should work for most users.
I was earlier referring to that the app allows a user to specify in the language selection which Chinese language variant the user wants to use. So, there could be some cases where someone set Traditional Chinese as the primary language but visits mainland China, and then gets the Simplified Chinese announcement instead. But ok, that should be the exception rather than the rule. IOW, I think that's fine.

RHo added a comment.Aug 7 2018, 6:26 PM

Awesome, thanks again!

bearND added a comment.Aug 7 2018, 7:51 PM

@RHo do you have an image for the update app prompt (colored background only in #FFCC33)?

RHo added a comment.Aug 7 2018, 7:54 PM

Hi @bearND - I would just like a coloured background only in #FFCC33 at 16dp height - or does it have to be provided as an image?

bearND added a comment.Aug 7 2018, 8:35 PM

@RHo The Android app only allows for an image URL, not for a color code. I think a single pixel image should probably suffice but I would still have to test this with the app.

bearND added a comment.EditedAug 7 2018, 9:05 PM

@RHo @Dbrant I also need a URL for the positive action CTA to update the app in the Play Store.

And what should I set in the feed for "Positive CTA (Opens the app language settings screen)"? That would need to be implemented in the Android app first and we would need to agree on some kind of action field.

bearND claimed this task.Aug 8 2018, 12:29 AM

Change 451225 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] Add multi-lang functionality announcements

https://gerrit.wikimedia.org/r/451225

bearND added a comment.Aug 8 2018, 4:40 AM

^ is just a WIP patch for now. Once the missing URLs are provided we can wrap this up.

Change 451227 had a related patch set uploaded (by BearND; owner: BearND):
[apps/android/wikipedia@master] Dev: add dev settings for announcements

https://gerrit.wikimedia.org/r/451227

RHo added a comment.Aug 8 2018, 11:25 AM

hi @bearND - let's make the URLs link go to the https://play.google.com/store/apps/developer?id=Wikimedia+Foundation so users of either Beta or Prod can choose the relevant app to update from there.

bearND added a comment.Aug 8 2018, 3:21 PM

@RHo Ok, sounds good. Do we want to skip the image for the upgrade prompt announcement or are you planning to provide me a URL for that?

RHo updated the task description. (Show Details)Aug 8 2018, 3:27 PM

@RHo Ok, sounds good. Do we want to skip the image for the upgrade prompt announcement or are you planning to provide me a URL for that?

hi @bearND - try this https://commons.wikimedia.org/wiki/File:Yellow50-pixelbackground.png

bearND added a comment.EditedAug 8 2018, 5:32 PM

@Dbrant and @RHo, sorry, it doesn't look like the 1px image actually works. For some reason I don't understand it's falling back to the default globe image instead.

(Since the globe image was not very well visible in the above picture I temporarily increased the height for the next image) The next image also shows what happens when using the https://play.google.com/store/apps/developer?id=Wikimedia+Foundation for the update app call to action. I think it would be better to have a URL that would go directly to the Play Store instead.

Another issue is that I don't have an action URL for the latest app (version code >= 235). Without it none of the buttons show:

(FYI, I'm using https://upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Multilingual_announcement_graphic.png/640px-Multilingual_announcement_graphic.png for the image url. I have to select a resolution for the thumbnail. The app cannot deal with a File page link (HTML) when it expects an image URL.)

Change 451227 merged by jenkins-bot:
[apps/android/wikipedia@master] Dev: add dev settings for announcements

https://gerrit.wikimedia.org/r/451227

RHo added a comment.Aug 8 2018, 6:48 PM

hi @bernd - I updated the yellow background file to be a large strip instead:
https://upload.wikimedia.org/wikipedia/commons/6/62/Yellow50-pixelbackground.png

also, can the larger res version of the multilingual graphic be used:
https://upload.wikimedia.org/wikipedia/commons/1/1f/Multilingual_announcement_graphic.png

@Dbrant - can you provide the action link for "Edit languages" CTA?

bearND added a comment.Aug 8 2018, 6:58 PM

Thank you for the update. The yellow image is still not working. It's still showing the same default image. I'm not sure why that is. I think an Android dev would have to look into this more.

I've updated the image URL to https://upload.wikimedia.org/wikipedia/commons/1/1f/Multilingual_announcement_graphic.png. Looks much better and is not a lot bigger in size. :)

@Dbrant Thanks for updating the yellow image. This looks good now:
Light theme:


Dark theme:

bearND added a comment.Aug 9 2018, 3:39 AM

Here are screenshots of all the localized announcements:

Language (tested country code)version code = 234version code = 235
English (US)
German (DE)
ZH-HANS (CN)
ZH-HANT (TW)
Russian (RU)

Please check esp. the Russian and Chinese ones to make sure I copied things correctly.

bearND added a comment.Aug 9 2018, 3:43 AM

If all goes well we can try these times on Thursday:

Deploy time window: Thursday, Aug 9th at 17:00–18:00 UTC
Start time: Thursday, Aug 9th at 20:00 UTC
End time: Thursday, Aug 16th at 20:00 UTC

(The client caches the announcements for 2 hours. Server side it's cached for 4 hours but I think we can purge the server side cache during the deployment window.)

Change 451225 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Add multi-lang functionality announcements for Android app

https://gerrit.wikimedia.org/r/451225

Mentioned in SAL (#wikimedia-operations) [2018-08-09T17:14:48Z] <bsitzmann@deploy1001> Started deploy [mobileapps/deploy@6581b28]: Update mobileapps to 616ffef (T191640)

Mentioned in SAL (#wikimedia-operations) [2018-08-09T17:21:22Z] <bsitzmann@deploy1001> Finished deploy [mobileapps/deploy@6581b28]: Update mobileapps to 616ffef (T191640) (duration: 06m 35s)

bearND added a comment.EditedAug 9 2018, 5:26 PM

Purged the following endpoints from Varnish:
https://en.wikipedia.org/api/rest_v1/feed/announcements
https://de.wikipedia.org/api/rest_v1/feed/announcements
https://ru.wikipedia.org/api/rest_v1/feed/announcements
https://zh.wikipedia.org/api/rest_v1/feed/announcements

Should be active in the apps in 2.5 hours. (Start time: Thursday, Aug 9th at 20:00 UTC).

This also means you can test the announcement now without having to go through a local MCS/RB install. All you need to do is get a recent Alpha version and adjust the primary app language and the adjust the Announcement settings inside the Dev Settings screen. At a minimum you'd want to turn on "ignore the date" or whatever it's called. (After the time has passed you can turn it off, of course.)

@RHo signoff and resolve please.

Jhernandez triaged this task as High priority.Aug 10 2018, 12:04 PM

FTR I've added this to the Apps PMs sync because this came out of the blue for RI, and it shouldn't have.